%define major 5
Name:           GLee
Version:        %{major}.4.0
Release:        1%{?dist}
Summary:        GL Easy Extension library

Group:          Development/Libraries
License:        BSD
URL:            http://elf-stone.com/glee.php
Source0:        http://www.elf-stone.com/downloads/GLee/GLee-5.4.0-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mesa-libGL-devel

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
GLee (GL Easy Extension library) is a free cross-platform extension loading
library for OpenGL. It provides seamless support for OpenGL functions up
to version 3.0 and 399 extensions. 

%package devel
Summary:        Development headers for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       mesa-libGL-devel

%description devel
Development headers for %{name}

%prep
%setup -q -c %{name}-%{version}

sed -i "s|\r||g" *.h *.c *.txt
chmod -x *.h *.c *.txt
iconv -f=iso-8859-1 -t=utf-8 readme.txt > tmp && mv tmp readme.txt

sed -i -e '/${LDCONFIG}/d' Makefile.in
sed -i -e '/doc/d' Makefile.in

sed -i 's|-shared|-shared -Wl,-soname,lib%{name}.so.%{major} -fPIC|g' Makefile.in
sed -i 's|LIBNAME=.*|LIBNAME=lib%{name}.so.%{version}|g' Makefile.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT{%{_includedir}/GL,%{_libdir}}
make install INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
             LIBDIR=$RPM_BUILD_ROOT%{_libdir}

pushd $RPM_BUILD_ROOT%{_libdir}
    ldconfig -n .
    ln -s lib%{name}.so.%{version} lib%{name}.so
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc extensionList.txt
%{_libdir}/lib%{name}.so
%{_includedir}/GL/%{name}.h

%changelog
* Sat Aug 07 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 5.4.0-1
- Initial package
